Changes since the 1.72.0 release

Note: This document lists changes only since the 1.72.0 release. If you
instead want a record of the complete list of changes for the codebase over
its entire history, you can obtain one by running the following commands:

  svn checkout https://docbook.svn.sourceforge.net/svnroot/docbook/trunk/xsl
  svn log --xml --verbose xsl > ChangeHistory.xml

------------------------------------------------------------------------------

Table of Contents

Release Notes: 1.73.2

    Gentext
    Common
    FO
    HTML
    Manpages
    HTMLHelp
    Eclipse
    JavaHelp
    Roundtrip
    Slides
    Website
    Params
    Highlighting
    Profiling
    Lib
    Tools
    Template
    Extensions
    XSL-Java
    XSL-Saxon
    XSL-Xalan

Release Notes: 1.73.2

The following is a list of changes that have been made since the 1.72.0
release.

Gentext

The following changes have been made to the gentext code since the 1.72.0
release.

  * Mauritz Jeanson: locale/de.xml

    Applied patch #1766009.

  * Michael(tm) Smith: locale/lv.xml

    Added localization for ProductionSet.

  * Michael(tm) Smith: locale/lv.xml; Makefile

    Added Latvian localization file, from Girts Ziemelis.

  * Robert Stayton: xsl/xsl.xsl

    Add comment explaining %t etc.

  * Dongsheng Song: locale/zh_cn.xml

    Brought up to date with en.xml in terms of items. A few strings marked for translation.

  * Dongsheng Song: locale/eo.xml

    Remove svn:executable property from xml files.

  * Jirka Kosek: locale/cs.xml

    Added missing translations

  * Robert Stayton: locale/eo.xml

    New locale for Esperanto.

  * Robert Stayton: locale/mn.xml

    Update from Ganbold Tsagaankhuu.

  * Jirka Kosek: locale/en.xml; locale/cs.xml

    Rules for normalizing glossary entries before they are sorted can be now different for each language.

  * Robert Stayton: locale/Auditlocale.pl

    Fix context comparison bug.

  * Norman Walsh: locale/sr.xml

    Fix broken locale: you can't have a comment in a start tag

  * Michael(tm) Smith: locale/sr_Latn.xml; locale/sr.xml

    Committed changes from Milo Komarevi to Serbian files.

  * Michael(tm) Smith: Makefile

    Renamed cvstools dir to buildtools, and replaced all
    references to "cvstools" in makefiles and elsewhere
    with "buildtools".

  * Jirka Kosek: xsl/xsl.xsl

    Changed variable expression assignment from RTF to node set, so boolean tests work correctly.

  * Jirka Kosek: xsl/xsl.xsl

    Empty translation in gentext is copied to target locale file (it is not replaced by English variant).

  * Michael(tm) Smith: xsl/xsl.xsl

    Refined gentext build so that transform of gentext sources to
    output is same whether generated by xsltproc or saxon.

  * Jirka Kosek: locale/en.xml; locale/cs.xml

    Added support for formatting biblioentries according to ISO690 citation style.
    New bibliography style can be turned on by setting parameter bibliography.style to "iso690"
    The code was provided by Jana Dvorakova

  * Robert Stayton: locale/ja.xml

    Fix chapter in context xref-number-and-title

  * Robert Stayton: locale/it.xml

    Improved version from contributor.

  * Mauritz Jeanson: locale/uk.xml

    Applied patch 1592083.

Common

The following changes have been made to the common code since the 1.72.0
release.

  * Michael(tm) Smith: stripns.xsl

    Reverted stripns.xsl to not rely on message-logging template.
    Thanks to Ville-Pekka Vainio, whose testing with Moin/4suite
    exposed a problem this caused.

  * Michael(tm) Smith: charmap.xsl

    Set keywords on a number of files.

  * Michael(tm) Smith: l10n.xml

    Added Latvian locale

  * Michael(tm) Smith: charmap.xsl

    Fixed typo.

  * Michael(tm) Smith: pi.xsl

    Mark up PIs with tag@class=xmlpi so that they can get picked up an
    formatted correctly by the doc build.

  * Michael(tm) Smith: .cvsignore; Makefile

    Added Latvian localization file, from Girts Ziemelis.

  * Michael(tm) Smith: charmap.xsl

    Moved charmap templates out of lib.xweb and into
    common/charmap.xsl, and added charmap doc to doc build.

  * Michael(tm) Smith: utility.xsl

    Fixed typo.

  * Michael(tm) Smith: refentry.xsl; utility.xsl; table.xsl; common.xsl

    Make all common stylesheets with embedded doc valid against our
    litprog grammar.

  * Michael(tm) Smith: pi.xsl

    Make pi.xsl files valid against our litprog grammar.

  * Michael(tm) Smith: pi.xsl

    Make PI source files valid against our litprog schema.

  * Michael(tm) Smith: labels.xsl

    Changed handling of reference auto-labeling such that reference
    (when it appears at the component level) is now affected by the
    label.from.part param, just as preface, chapter, and appendix.

  * Michael(tm) Smith: refentry.xsl; utility.xsl; common.xsl

    Updated embedded doc in XSL source files:

     - added dbhtml@dir PIs to control where output goes when
       generation HTML version of docs

     - put xml:id instances on root elements of embedded doc

     - changed all *info instances to just info (DocBook 5) and some
       @id instance to @xml-id

  * Michael(tm) Smith: .cvsignore

    Set updated ignore properties and adjusted for fact that shared
    makefile now expects a "PARAMBASE" value to be specified (to
    indicate base filename for the type of content being built: either
    PARAMBASE=param or PARAMBASE=lib; this makes it possible to reduce
    redundancy in the lib build, and just have it use the same
    makefile "infrastructure" as the param builds for all the
    param.xsl files. The reason for that is, lib use the same *.xweb
    system for embedding documentation that the builds for the various
    output formats use (as opposed to the jrefentry-based system that
    used for building the template and PI docs in common etc.

  * Michael(tm) Smith: common.xsl; pi.xsl

    Added doc for the dbchoice choice PI, and fixes some problems with
    the db* start PI handling.

  * Michael(tm) Smith: common.xsl; pi.xsl

    Added embedded documentation on the following PIs:

      - dbhtml_start
      - dbfo_start
      - dbtex_delims
      - dbtimestamp

  * Michael(tm) Smith: utility.xsl

    Made minor editorial change to embedded doc for utility templates.

  * Michael(tm) Smith: Makefile

    Set XJPARSEFLAGS = -E 0 -w for xsl/common build too.

  * Michael(tm) Smith: Makefile

    For docbook-xsl builds, feed xjparse the -EO and -w switches.
     -E0
       suppresses the "Parse succeeded... with no errors and no warnings"
       messages that xjparse (actually, the XML Commons resolver)
       otherwise emits.
     -w
       cause xjparse/resolver to only do a well-formedness check,
       instead of trying to do validation; the reason for adding this
       is that xjparse gets run against what are now doctype-less,
       namespaced DocBook instances (after recent changes to the
       build) and fails to validate those (because they don't have a
       doctype)
     What we really need to do long-term is replace xjparse with a
     better, RELAXNG-aware validation mechanism, so that we can have
     the build properly validate stuff that it should be checking.
     That maybe amounts to making an "xslt" wrapper tool that either
     calls jing or rnv (depending on what the builder wants to use).

     But for now we'll need to tolerate that fact that xjparse isn't
     doing anything more for us than just simply WF checking...

  * Michael(tm) Smith: common.xsl

    Added support to the HTML stylesheets for proper processing of
    orgname as a child of author.

  * Michael(tm) Smith: targets.xsl; utility.xsl; titles.xsl; pi.xsl;
    subtitles.xsl; table.xsl;

    In files that still referred to nwalsh.com URL in the copyright
    header, changed to docbook.sf.net URL.

  * Michael(tm) Smith: Makefile

    Added -E0 switch to default xjparse options, in order to suppress
    "Parse succeeded...  with no errors and no warnings." messages.
    Thanks Norm for letting me know which flag to set.

  * Michael(tm) Smith: refentry.xsl; subtitles.xsl; labels.xsl; utility.xsl;
    titles.xsl; table

    Added IDs in a bunch of places in embedded template docs that
    could use them.

  * Michael(tm) Smith: stripns.xsl; utility.xsl; common.xsl

    Moved logging template and related templates to separate
    utility.xsl file so that can be imported without importing the
    whole common.xsl file (which is necessary for the build and for
    using the logging template in standalone namespace-stripping
    because the common.xsl file assumes it will be imported along with
    all the params, which it can't be when building lib.xsl).

  * Michael(tm) Smith: stripns.xsl; common.xsl

    Updated stylesheets to use common logging template to log messages
    emitted during namespace-stripping.
    Also, moved pad-string template from lib to common because
    it's needed in order to use logging template in the profiling
    stylesheets, and the lib build relies on the profiling apparatus
    (so the profiling apparatus can't rely on lib being built first...)

  * Michael(tm) Smith: .cvsignore

    svn-ignore newly add eo.xml file

  * Michael(tm) Smith: entities.ent

    Removed all "Do not edit this file" admonitions that get output in
    generated stylesheets; such admonitions have in the past been
    judged by the free-software police to be at-risk of
    interpretation as license restrictions.
    Also, made various updates to work around some funkiness is
    xsltproc output.

  * Michael(tm) Smith: refentry.xsl

    Refined logging output of refentry metadata-gathering template;
    for some cases of "missing" elements (refmiscinfo stuff, etc.),
    the log messages now include URL to corresponding page in the
    Definitive Guide (TDG).

  * Michael(tm) Smith: common.xsl

    Improved general logging template to parameterize some parts that
    were hardcoded previously.

  * Robert Stayton: l10n.xml; Makefile

    Add eo.xml Esperanto.

  * Robert Stayton: entities.ent

    Add xmlns:xsl declaration to elements in entities.

  * Jirka Kosek: entities.ent

    Rules for normalizing glossary entries before they are sorted can be now different for each language.

  * Robert Stayton: titles.xsl

    fix caption plus title in cals table producing double caption.

  * Michael(tm) Smith: Makefile

    Renamed cvstools dir to buildtools, and replaced all
    references to "cvstools" in makefiles and elsewhere
    with "buildtools".

  * Robert Stayton: table.xsl

    Fix bug 1668629 valign on tbody not inherited.

  * Robert Stayton: titles.xsl

    Add refsection/info/title support.

  * Michael(tm) Smith: titles.xsl

    Added support for correct handling of xref to elements that
    contain info/title descendants but no title children.

    This should be further refined so that it handles any *info
    elements. And there are probably some other places where similar
    handling for *info/title should be added.

  * Michael(tm) Smith: refentry.xsl

    Updated copyright notices.

  * Mauritz Jeanson: pi.xsl

    Modified <xsl:when> in datetime.format template to work
    around Xalan bug.

FO

The following changes have been made to the fo code since the 1.72.0 release.

  * Michael(tm) Smith: highlight.xsl

    Set keywords on a number of files.

  * Mauritz Jeanson: footnote.xsl

    Fixed typo (introduced by me in r6773). Closes bug #1778340.

  * Mauritz Jeanson: table.xsl

    Modified the tgroup template so that, for tables with multiple tgroups,
    a width attribute is output on all corresponding fo:tables. Previously,
    there was a test prohibiting this (and a comment saying that outputting more
    than one width attribute will cause an error). But this seems to be no longer
    relevant; it is not a problem with FOP 0.93 or XEP 4.10. Closes bug #1760559.

  * Mauritz Jeanson: graphics.xsl

    Replaced useless <a> elements with warning messages (textinsert extension).

  * Mauritz Jeanson: admon.xsl

    Enabled generation of ids (on fo:wrapper) for indexterms in admonition titles, so that page
    references in the index can be created. Closes bug #1775086.

  * Mauritz Jeanson: pi.xsl

    Fixed typo.

  * Mauritz Jeanson: pi.xsl

    Added missing equals sign (dbfo-need).

  * Michael(tm) Smith: pi.xsl

    Mark up PIs with tag@class=xmlpi so that they can get picked up an
    formatted correctly by the doc build.

  * Michael(tm) Smith: pi.xsl

    Shortened some refpurpose text for embedded doc for PIs.

  * Michael(tm) Smith: table.xsl

    Make fo/table.xsl file valid against our litprog schema.

  * Michael(tm) Smith: pi.xsl

    Make pi.xsl files valid against our litprog grammar.

  * Michael(tm) Smith: .cvsignore

    Ignore another build-generated kludge. Yeah, I know it's
    ridiculous. If you can come up with a prettier way of doing it,
    all of my riches will be yours.

  * Michael(tm) Smith: pi.xsl

    Make PI source files valid against our litprog schema.

  * Michael(tm) Smith: param.xweb

    Make *.xweb instances valid against the
    https://docbook.svn.sourceforge.net/svnroot/docbook/trunk/docbook/relaxng/params/refentry.rnc
    grammar.

  * Robert Stayton: component.xsl

    Add parameters to the page.sequence utility template.

  * Michael(tm) Smith: Makefile

    Make sure that *template.xml files under version control don't get
    removed when we clean.

  * Michael(tm) Smith: table.xsl

    Updated embedded doc in XSL source files:

     - added dbhtml@dir PIs to control where output goes when
       generation HTML version of docs

     - put xml:id instances on root elements of embedded doc

     - changed all *info instances to just info (DocBook 5) and some
       @id instance to @xml-id

  * Michael(tm) Smith: param.xweb

    Changed url for page.png

  * Mauritz Jeanson: xref.xsl

    Added template for xref to area/areaset.
    Part of fix for bug #1675513 (xref to area broken).

  * Michael(tm) Smith: .cvsignore

    Ignore intermediate params file.

  * Michael(tm) Smith: .cvsignore; Makefile

    Set updated ignore properties and adjusted for fact that shared
    makefile now expects a "PARAMBASE" value to be specified (to
    indicate base filename for the type of content being built: either
    PARAMBASE=param or PARAMBASE=lib; this makes it possible to reduce
    redundancy in the lib build, and just have it use the same
    makefile "infrastructure" as the param builds for all the
    param.xsl files. The reason for that is, lib use the same *.xweb
    system for embedding documentation that the builds for the various
    output formats use (as opposed to the jrefentry-based system that
    used for building the template and PI docs in common etc.

  * Michael(tm) Smith: lists.xsl

    Added doc for the dbchoice choice PI, and fixes some problems with
    the db* start PI handling.

  * Michael(tm) Smith: pi.xsl

    Added embedded documentation on the following PIs:

      - dbhtml_start
      - dbfo_start
      - dbtex_delims
      - dbtimestamp

  * Michael(tm) Smith: pi.xsl

    made some cleanup to the fo/pi.xsl params doc. Also fixed a couple
    typos.

  * Michael(tm) Smith: pi.xsl

    Added TCG links and param links to embedded doc of FO PIs. This
    completes the work on adding this doc for the FO stylesheets.

  * Michael(tm) Smith: pi.xsl

    Made minor editorial to embedded documentation.

  * Michael(tm) Smith: verbatim.xsl

    Made the following changed in the mode="hyphenate.verbatim" template:
      -    <xsl:apply-templates select="node()|@*" mode="hyphenate.verbatim"/>
      +    <xsl:copy-of select="@*"/>
      +    <xsl:apply-templates mode="hyphenate.verbatim"/>
    ...because as was it caused xsltproc to raise a fatal "Attribute
    nodes must be added before any child nodes to an element." (though
    not saxon)

  * Michael(tm) Smith: lists.xsl; titlepage.xsl; formal.xsl; graphics.xsl;
    qandaset.xsl; gloss

    Consolidated processing of all FO PIs into wrapper templates in
    one place (the fo/pi.xsl file) and added embedded documentation
    for all of them.  This makes it possible to now include generated
    documentation for the PIs in the output docs. Next stop: HTML PIs,
    then on to the common ones...

    This touched a lot of files and it is likely that I made some
    mistakes in moving the PI processing over. Meaning that some PIs
    might quit working or not work as expected after this change. So
    it will need to tested. Which is why we do dot-zero releases...

  * Michael(tm) Smith: param.xweb

    Added an ID on mediaobject that illustrates FO page regions, so
    that the ID can get picked up and used as the filename for the
    "long description" chunk for that mediaobject in HTML output.

  * Mauritz Jeanson: lists.xsl

    Fixed bug #1711508.

  * Michael(tm) Smith: division.xsl; toc.xsl; biblio-iso690.xsl; block.xsl;
    graphics.xsl; html

    In files that still referred to nwalsh.com URL in the copyright
    header, changed to docbook.sf.net URL.

  * Norman Walsh: graphics.xsl

    URIs that start with '/' are absolute too

  * Robert Stayton: xep.xsl

    Whitespace adjustment.

  * Michael(tm) Smith: docbook.xsl; table.xsl

    Moved logging template and related templates to separate
    utility.xsl file so that can be imported without importing the
    whole common.xsl file (which is necessary for the build and for
    using the logging template in standalone namespace-stripping
    because the common.xsl file assumes it will be imported along with
    all the params, which it can't be when building lib.xsl).

  * Michael(tm) Smith: docbook.xsl

    Updated stylesheets to use common logging template to log messages
    emitted during namespace-stripping.
    Also, moved pad-string template from lib to common because
    it's needed in order to use logging template in the profiling
    stylesheets, and the lib build relies on the profiling apparatus
    (so the profiling apparatus can't rely on lib being built first...)

  * Michael(tm) Smith: inline.xsl

    Added template match for person element to fo stylesheet.

  * Michael(tm) Smith: param.xweb

    Removed all "Do not edit this file" admonitions that get output in
    generated stylesheets; such admonitions have in the past been
    judged by the free-software police to be at-risk of
    interpretation as license restrictions.
    Also, made various updates to work around some funkiness is
    xsltproc output.

  * Mauritz Jeanson: fo-patch-for-fop.xsl

    fo-patch-for-fop.xsl deleted (obsolete).

  * Robert Stayton: docbook.xsl

    Changed the comments regarding namespace striping to
    mention the docbook5 namedspaced stylesheets.

  * Robert Stayton: lists.xsl

    Removed old varlistentry accidentally left in.

  * Robert Stayton: lists.xsl

    Added support for spacing="compact" in variablelist, per bug report #1722540.

  * Robert Stayton: table.xsl

    table pgwide="1" should also use pgwide.properties attribute-set.

  * Mauritz Jeanson: inline.xsl

    Make citations numbered if bibliography.numbered != 0.

  * Robert Stayton: table.xsl

    Fixed bug in handling of columns width sum.

  * Robert Stayton: callout.xsl

    Fixed missing quote.

  * Robert Stayton: callout.xsl

    Changed param name to callout.icon.size

  * Robert Stayton: param.xweb; param.ent

    Add new profiling parameters for audience and wordsize.

  * Robert Stayton: callout.xsl

    line break fix

  * Robert Stayton: callout.xsl

    Add callout.icon.size parameter.

  * Robert Stayton: param.xweb; param.ent

    Added callout.icon.size parameter.

  * Robert Stayton: inline.xsl; xref.xsl

    Add support for xlink as olink.

  * Mauritz Jeanson: footnote.xsl

    Fixed bug #1669601.

  * Robert Stayton: pagesetup.xsl

    set.flow.properties now strips '-draft' from master name before tests.

  * Robert Stayton: autotoc.xsl; param.xweb; param.ent

    Add support for qanda.in.toc to fo TOC.

  * Robert Stayton: component.xsl

    Improved the page.sequence utility template for use with book.

  * Robert Stayton: division.xsl

    Use named templates for front and back cover templates.

  * Robert Stayton: division.xsl

    Refactored the big book template into smaller pieces.
    Used the "page.sequence" utility template in
    component.xsl to shorten the toc piece.
    Added placeholder templates for front.cover and back.cover.

  * Jirka Kosek: glossary.xsl

    Rules for normalizing glossary entries before they are sorted can be now different for each language.

  * Jirka Kosek: sections.xsl

    use-attribute-sets is used without prefix on XSLT elements

  * Robert Stayton: component.xsl

    Adjust whitespace.

  * Robert Stayton: param.xweb; param.ent; sections.xsl

    Add section.container.element parameter to enable
    pgwide spans inside sections.

  * Robert Stayton: param.xweb; param.ent; component.xsl

    Add component.titlepage.properties attribute-set to
    support span="all" and other properties.

  * Mauritz Jeanson: inline.xsl

    Fixed #1680755 (keycombo joinchar default incorrect).

  * Mauritz Jeanson: lists.xsl

    Corrected typo in calloutlist template.

  * Robert Stayton: lists.xsl

    Fix number test in termlength when NaN.

  * Robert Stayton: htmltbl.xsl; table.xsl

    Apply table.row.properties template to html tr rows too.
    Add keep-with-next to table.row.properties when row is in thead.

  * Jirka Kosek: math.xsl

    MathML must be surrounded by fo:instream-foreign-object

  * Michael(tm) Smith: Makefile

    Renamed cvstools dir to buildtools, and replaced all
    references to "cvstools" in makefiles and elsewhere
    with "buildtools".

  * Robert Stayton: param.xweb; param.ent

    Add default.table.frame parameter to fo too.

  * Robert Stayton: table.xsl

    Add support for default.table.frame parameter.
    Fix bug 1575446 rowsep last check for @morerows.

  * Robert Stayton: refentry.xsl

    Add support for info/title in refsections.

  * Robert Stayton: xref.xsl

    Fixed bug 1652360 empty link with xlink:href.

  * Michael(tm) Smith: Makefile

    Port from docs-in-db5 branch of all DocBook5-formatted
    params and all associated build changes needed for
    building the param.xsl files and docs from them.

  * David Cramer: qandaset.xsl

    Make fo questions and answers behave the same way as html

  * Jirka Kosek: lists.xsl

    Added missing attribute set for procedure

  * Jirka Kosek: param.xweb; biblio.xsl; docbook.xsl; param.ent;
    biblio-iso690.xsl

    Added support for formatting biblioentries according to ISO690 citation style.
    New bibliography style can be turned on by setting parameter bibliography.style to "iso690"
    The code was provided by Jana Dvorakova

  * Robert Stayton: param.xweb; param.ent; pagesetup.xsl

    Add header.table.properties and footer.table.properties attribute-sets.

  * Robert Stayton: inline.xsl

    Add fop1.extensions for menuchoice arrow handling exception.

  * Robert Stayton: pagesetup.xsl

    Fixed master-name used in axf crop mark template call.

  * Robert Stayton: autotoc.xsl

    Moved the end-indent properties from toc.line to the
    toc.line.properties attribute-set.

  * Michael(tm) Smith: param.xweb

    Updated copyright notices.

HTML

The following changes have been made to the html code since the 1.72.0
release.

  * Michael(tm) Smith: highlight.xsl

    Set keywords on a number of files.

  * Mauritz Jeanson: titlepage.xsl

    Added <xsl:call-template name="process.footnotes"/> to abstract template
    so that footnotes in info/abstract are processed. Closes bug #1760907.

  * Michael(tm) Smith: pi.xsl; synop.xsl

    Changed handling of HTML output for the cmdsynopsis and
    funcsynopsis elements, such that a@id instances are generated for
    them if they are descendants of any element containing a dbcmdlist
    or dbfunclist PI. Also, update the embedded reference docs for the
    dbcmdlist and dbfunclist PIs to make it clear that they can be
    used within any element for which cmdsynopsis or funcsynopsis are
    valid children.

  * Michael(tm) Smith: formal.xsl

    Reverted the part of revision 6952 that caused a@id anchors to be
    generated for output of informal objects. Thanks to Sam Steingold
    for reporting.

  * Robert Stayton: glossary.xsl

    Account for a glossary with no glossdiv or glossentry children.

  * Mauritz Jeanson: titlepage.xsl

    Modified legalnotice template so that the base.name parameter is calculated
    in the same way as for revhistory chunks. Using <xsl:apply-templates
    mode="chunk-filename" select="."/> did not work for single-page output since
    the template with that mode is in chunk-code.xsl.

  * Mauritz Jeanson: graphics.xsl

    Updated support for SVG (must be a child of imagedata in DB 5).
    Added support for MathML in imagedata.

  * Mauritz Jeanson: pi.xsl

    Fixed typo.

  * Mauritz Jeanson: inline.xsl

    Fixed typo in tests for @xlink:title.

  * Mauritz Jeanson: pi.xsl

    Added documentation for the dbhh PI (used for context-sensitive HTML Help).
    (The two templates matching 'dbhh' are still in htmlhelp-common.xsl).

  * Mauritz Jeanson: pi.xsl

    Corrected synopsis of dbhtml-include PI.

  * Mauritz Jeanson: docbook.xsl; highlight.xsl

    Replaced <font> with <span> and/or inline styles. This fixes the problem with <span class="ERROR">
    in XHTML (and <font> is deprecated anyway). Closes bug #1715774.

  * Michael(tm) Smith: titlepage.xsl

    Fixed test for abstract.notitle.enabled. The way I had it, it was
    having an effect opposite to its documented effect; that is, it
    was generating an abstract title only if abstract.notitle.enabled
    was not zero; but it should actually generate the title only if
    abstract.notitle.enabled *is* zero. Thanks to Marie Sauvage for
    testing and reporting this very quickly after 1.73.0 was released.

  * Michael(tm) Smith: xref.xsl; pi.xsl

    Mark up PIs with tag@class=xmlpi so that they can get picked up an
    formatted correctly by the doc build.

  * Mauritz Jeanson: param.xweb; param.ent

    Moved declaration and documentation of javahelp.encoding from javahelp.xsl to the
    regular "parameter machinery".

  * Michael(tm) Smith: autotoc.xsl; chunk-common.xsl

    Fixed a bug that caused broken links in some TOCs.
    This change affects the code for generating links in HTML output.
    It adds a new optional "toc.context" parameter to the href.target
    template, and based on the value of that parameter, handles
    link-generation in TOCs differently under a certain condition.

    The gory details:

      The code now checks to see if the output dir of any file being
      linked to in a particular TOC is different from the output dir
      the TOC is written to. If it is different, we do not call the
      trim.common.uri.paths[1] template.

      The reason is that, given the following case:

      1. we are chunking into separate dirs

      2. output for the TOC is written to current dir, but the file
         being linked to is written to some subdir "foo".

      For that case, links to that file in that TOC did not show
      the correct path - they omitted the "foo".

      The cause of that problem was that the trim.common.uri.paths
      template was being called under all conditions. But it's
      apparent that we don't want to call trim.common.uri.paths in
      the case where a linked file is being written to a different
      directory than the TOC that contains the link, because doing
      so will cause a necessary (not redundant) directory-name
      part of the link to get inadvertently trimmed, resulting in
      a broken link to that file.

      Thus, the conditional check was added to catch this case and to
      handle it differently

      [1] The purpose of the trim.common.uri.paths template is to
      prevent cases where, if we didn't call it, we end up with
      unnecessary, redundant directory names getting output; for
      example, "foo/foo/refname.html".

  * Michael(tm) Smith: pi.xsl

    Shortened some refpurpose text for embedded doc for PIs.

  * Michael(tm) Smith: admon.xsl

    Changed handling of titles for note, warning, caution, important,
    tip admonitions: We now output and HTML h3 head only if
    admon.textlabel is non-zero or if the admonition actually contains
    a title; otherwise, we don't output an h3 head at all.
    (Previously, we were outputting an empty h3 if the admon.textlabel
    was zero and if the admonition had no title.)

  * Michael(tm) Smith: pi.xsl

    Make pi.xsl files valid against our litprog grammar.

  * Michael(tm) Smith: .cvsignore

    Ignore another build-generated kludge. Yeah, I know it's
    ridiculous. If you can come up with a prettier way of doing it,
    all of my riches will be yours.

  * Michael(tm) Smith: pi.xsl

    Make PI source files valid against our litprog schema.

  * Michael(tm) Smith: param.xweb

    Make *.xweb instances valid against the
    https://docbook.svn.sourceforge.net/svnroot/docbook/trunk/docbook/relaxng/params/refentry.rnc
    grammar.

  * Michael(tm) Smith: Makefile

    Make sure that *template.xml files under version control don't get
    removed when we clean.

  * Mauritz Jeanson: table.xsl

    Fixed bug #1737581 (table.borders.with.css should suppress border attribute).

  * Mauritz Jeanson: xref.xsl

    Added template for xref to area/areaset.
    Part of fix for bug #1675513 (xref to area broken).

  * Mauritz Jeanson: titlepage.xsl; component.xsl; division.xsl; sections.xsl

    Added fixes to avoid duplicate ids when generate.id.attributes = 1.
    This (hopefully) closes bug #1671052.

  * Michael(tm) Smith: .cvsignore

    Ignore intermediate params file.

  * Michael(tm) Smith: .cvsignore; Makefile

    Set updated ignore properties and adjusted for fact that shared
    makefile now expects a "PARAMBASE" value to be specified (to
    indicate base filename for the type of content being built: either
    PARAMBASE=param or PARAMBASE=lib; this makes it possible to reduce
    redundancy in the lib build, and just have it use the same
    makefile "infrastructure" as the param builds for all the
    param.xsl files. The reason for that is, lib use the same *.xweb
    system for embedding documentation that the builds for the various
    output formats use (as opposed to the jrefentry-based system that
    used for building the template and PI docs in common etc.

  * Michael(tm) Smith: lists.xsl

    Added doc for the dbchoice choice PI, and fixes some problems with
    the db* start PI handling.

  * Michael(tm) Smith: pi.xsl; math.xsl

    Added embedded documentation on the following PIs:

      - dbhtml_start
      - dbfo_start
      - dbtex_delims
      - dbtimestamp

  * Michael(tm) Smith: pi.xsl

    made some cleanup to the fo/pi.xsl params doc. Also fixed a couple
    typos.

  * Michael(tm) Smith: pi.xsl

    Completing adding all doc for HTML PIs. Added "see also" sections
    with links to related global params, plus links to DocBook XSL: TCG
    Also tried out adding some additional doc to param doc for the
    textinsert.extension param that back-references the PI
    documentation, plus added some TCG links there too.

  * Michael(tm) Smith: pi.xsl

    Added doc for the dbhtml img.src.path PI.

  * Michael(tm) Smith: formal.xsl; pi.xsl

    Made the dbfunclist PI work as intended. Also added doc for
    dbfunclist and dbcmdlist PIs.

  * Michael(tm) Smith: pi.xsl; synop.xsl

    Made the dbcmdlist work the way it appears to have been intended
    to work. Restored dbhtml-dir template back to pi.xsl.

  * Michael(tm) Smith: lists.xsl; pi.xsl

    fixed WF error and removed duplicate template

  * Michael(tm) Smith: graphics.xsl

    Fixed WF error.

  * Michael(tm) Smith: chunk-common.xsl; pi.xsl

    Add x-ref links from embedded PI doc to sections in Bob's book.
    Also, moved dbhtml-dir template to chunk-common.xsl file, because
    it doesn't really belong in the PI file.

  * Michael(tm) Smith: table.xsl; pi.xsl

    Consolidated all PIs for HTML table stuff into wrapper templates
    in the "master" pi list (html/pi.xsl) and added embedded doc for
    all of them. May have made some flubs in copying over, so this
    change may break some table handling.

  * Michael(tm) Smith: pi.xsl; verbatim.xsl

    Added a verbatim PI that I missed in last commit.

  * Michael(tm) Smith: pi.xsl; synop.xsl; verbatim.xsl

    Consolidated all PIs for HTML synopsis and verbatim stuff into
    wrapper templates in the "master" pi list (html/pi.xsl) and added
    embedded doc for all of them. May have made some flubs in copying
    over, so this change may break some synopsis and verbatim
    handling. Note: Also added refsee@role=params instances so that we
    can link to the corresponding global params (if any) for each PI.

  * Michael(tm) Smith: qandaset.xsl; pi.xsl

    Consolidated all PIs for qandaset into wrapper templates in one
    place (html/pi.xsl) and added embedded doc for all of them.  May
    have made some flubs in copying over, so this change may break
    some qandaset handling.

  * Michael(tm) Smith: lists.xsl; graphics.xsl; pi.xsl

    Consolidated all PIs for graphics and lists into wrapper templates
    in one place (html/pi.xsl) and added embedded doc for all of them.
    May have made some flubs in copying over, so this change may break
    some graphics and list handling.

  * Michael(tm) Smith: chunktoc.xsl; chunk-code.xsl; pi.xsl

    Initial reorganization of HTML PI processing mechanism.

  * Michael(tm) Smith: titlepage.xsl; param.xweb; param.ent

    Added new param abstract.notitle.enabled.
    If non-zero, in output of the abstract element on titlepages,
    display of the abstract title is suppressed.
    Because sometimes you really don't want or need that title
    there...

  * Michael(tm) Smith: chunk-code.xsl; graphics.xsl

    When we are chunking long descriptions for mediaobject instances
    into separate HTML output files, and use.id.as.filename is
    non-zero, if a mediaobject has an ID, use that ID as the basename
    for the long-description file (otherwise, we generate an ID for it
    and use that ID as the basename for the file).
    The parallels the recent change made to cause IDs for legalnotice
    instances to be used as basenames for legalnotice chunks.
    Also, made some minor refinements to the recent changes for
    legalnotice chunk handling.

  * Michael(tm) Smith: titlepage.xsl

    Added support to the HTML stylesheets for proper processing of
    orgname as a child of author.

  * Michael(tm) Smith: chunk-code.xsl

    When $generate.legalnotice.link is non-zero and
    $use.id.as.filename is also non-zero, if a legalnotice has an ID,
    then instead of assigning the "ln-<generatedID>" basename to the
    output file for that legalnotice, just use its real ID as the
    basename for the file -- as we do when chunking other elements
    that have IDs.

  * Michael(tm) Smith: table.xsl; changebars.xsl; qandaset.xsl; index.xsl;
    maketoc.xsl; glossa

    In files that still referred to nwalsh.com URL in the copyright
    header, changed to docbook.sf.net URL.

  * Michael(tm) Smith: docbook.xsl

    Moved logging template and related templates to separate
    utility.xsl file so that can be imported without importing the
    whole common.xsl file (which is necessary for the build and for
    using the logging template in standalone namespace-stripping
    because the common.xsl file assumes it will be imported along with
    all the params, which it can't be when building lib.xsl).

  * Michael(tm) Smith: chunk-code.xsl; docbook.xsl

    Updated stylesheets to use common logging template to log messages
    emitted during namespace-stripping.
    Also, moved pad-string template from lib to common because
    it's needed in order to use logging template in the profiling
    stylesheets, and the lib build relies on the profiling apparatus
    (so the profiling apparatus can't rely on lib being built first...)

  * Michael(tm) Smith: db5strip.xsl

    Removed the db5strip.xsl stylesheet because it has been obsoleted
    by the stripns.xsl stylesheet.

  * Michael(tm) Smith: inline.xsl; autoidx-kimber.xsl; biblio-iso690.xsl;
    autoidx-kosek.xsl; p

    Removed all "Do not edit this file" admonitions that get output in
    generated stylesheets; such admonitions have in the past been
    judged by the free-software police to be at-risk of
    interpretation as license restrictions.
    Also, made various updates to work around some funkiness is
    xsltproc output.

  * David Cramer: xref.xsl

    Handle alt text on xrefs to steps when the step doesn't have a title.

  * David Cramer: lists.xsl

    Added <p> element around term in variablelist when formatted as table to avoid misalignment of term and listitem in xhtml (non-quirks mode) output

  * David Cramer: qandaset.xsl

    Added <p> element around question and answer labels to avoid misalignment of label and listitem in xhtml (non-quirks mode) output

  * David Cramer: lists.xsl

    Added <p> element around callouts to avoid misalignment of callout and listitem in xhtml (non-quirks mode) output

  * Robert Stayton: footnote.xsl

    Fixed bug #1717196 footnoteref not finding the right chunk for the target.

  * Robert Stayton: chunk-code.xsl; docbook.xsl

    Changed the comments regarding namespace striping to
    mention the docbook5 namedspaced stylesheets.

  * Mauritz Jeanson: inline.xsl

    Make citations numbered if bibliography.numbered != 0.

  * Robert Stayton: param.xweb; param.ent

    Add support for new profiling attributes audience and wordsize.

  * Robert Stayton: inline.xsl; xref.xsl

    Add support for xlink olinks.

  * Mauritz Jeanson: titlepage.xsl

    Fixed bug #1644874.

  * Jirka Kosek: xref.xsl

    Do not output xlink namespace declaration into HTML output

  * Jirka Kosek: profile-chunk.xsl

    Sync profiling stylesheet with base stylesheet

  * Jirka Kosek: glossary.xsl

    Rules for normalizing glossary entries before they are sorted can be now different for each language.

  * Robert Stayton: inline.xsl

    Fix a couple of class attributes.

  * Robert Stayton: titlepage.xsl

    Remove redundant ./ from xpath statements.

  * Mauritz Jeanson: inline.xsl

    Fixed #1680755 (keycombo joinchar default incorrect).

  * Mauritz Jeanson: lists.xsl

    Corrected typo in calloutlist template.

  * Robert Stayton: formal.xsl

    Set formal object class value with class.value mode.

  * Robert Stayton: graphics.xsl

    Fix bug in contentdepth outputting empty height attribute.

  * Michael(tm) Smith: Makefile

    Renamed cvstools dir to buildtools, and replaced all
    references to "cvstools" in makefiles and elsewhere
    with "buildtools".

  * Robert Stayton: chunk-common.xsl; chunk-code.xsl; manifest.xsl; chunk.xsl

    Refactored the chunking modules to move all named templates to
    chunk-common.xsl and all match templates to chunk-code.xsl, in
    order to enable better chunk customization.
    See the comments in chunk.xsl for more details.

  * Robert Stayton: lists.xsl

    Add anchor for xml:id for listitem in varlistentry.

  * Robert Stayton: refentry.xsl

    Add support for info/title in refsections for db5.

  * Robert Stayton: xref.xsl

    Fixed bug 1652360 empty link with xlink:href.

  * Robert Stayton: changebars.xsl

    Add underline style to "added".

  * Michael(tm) Smith: Makefile

    Port from docs-in-db5 branch of all DocBook5-formatted
    params and all associated build changes needed for
    building the param.xsl files and docs from them.

  * Jirka Kosek: param.xweb; biblio.xsl; docbook.xsl; param.ent;
    biblio-iso690.xsl

    Added support for formatting biblioentries according to ISO690 citation style.
    New bibliography style can be turned on by setting parameter bibliography.style to "iso690"
    The code was provided by Jana Dvorakova

  * Robert Stayton: callout.xsl; glossary.xsl; annotations.xsl; autoidx.xsl;
    footnote.xsl

    Add call to class.attribute on output <a>.

  * Robert Stayton: inline.xsl; xref.xsl

    Add call to class.attribute to <a> output elements so they can
    have a class value too.

  * Robert Stayton: html.xsl

    Add mode=class.value to generate just the value, not the attribute.

  * Michael(tm) Smith: param.xweb

    Updated copyright notices.

  * Mauritz Jeanson: glossary.xsl

    Fixed bug #1644881:
    * Added curly braces around all $language attribute values.
    * Moved declaration of language variable to top level of stylesheet.
    Tested with Xalan, Saxon, and xsltproc.

Manpages

The following changes have been made to the manpages code since the 1.72.0
release.

  * Michael(tm) Smith: endnotes.xsl

    In manpages output, generate warnings about notesources with
    non-para children only if the notesource is a footnote or
    annotation. Thanks to Sam Steingold for reporting problems with
    the existing handling.

  * Michael(tm) Smith: synop.xsl

    Made italic handling of

  * Michael(tm) Smith: table.xsl

    Problem:
      Rows in tables with more than 10 rows get sorted into incorrect
      order.
    Cause:
      Code in manpages table handler does sorting, using xsl:sort, to
      deal with instances of cells that span multiple rows. But that
      sorting was being done alphabetically rather than numerically --
      the reason being that the default sort method for xsl:sort is
      "text" (alphabetical).
    Fix:
      Added @data-type=number to relevant xsl:sort instances in table
      code.

    Closes #1763332. Thanks to kesuke.

  * Michael(tm) Smith: docbook.xsl

    Added import of common/charmap.xsl to fix problem of calls to
    missing named templates. Closes #1760697. Thanks to Daniel
    Leidert.

  * Michael(tm) Smith: param.xweb; docbook.xsl; param.ent

    Added the man.authors.section.enabled and
    man.copyright.section.enabled parameters. Set those to zero when
    you want to suppress display of the auto-generated AUTHORS and
    COPYRIGHT sections. Closes request #1467806. Thanks to Daniel
    Leidert.

  * Michael(tm) Smith: info.xsl

    Fixed minor typo.

  * Michael(tm) Smith: .cvsignore

    Ignore another build-generated kludge. Yeah, I know it's
    ridiculous. If you can come up with a prettier way of doing it,
    all of my riches will be yours.

  * Michael(tm) Smith: param.xweb

    Make *.xweb instances valid against the
    https://docbook.svn.sourceforge.net/svnroot/docbook/trunk/docbook/relaxng/params/refentry.rnc
    grammar.

  * Michael(tm) Smith: .cvsignore

    Ignore intermediate params file.

  * Michael(tm) Smith: Makefile; .cvsignore

    Set updated ignore properties and adjusted for fact that shared
    makefile now expects a "PARAMBASE" value to be specified (to
    indicate base filename for the type of content being built: either
    PARAMBASE=param or PARAMBASE=lib; this makes it possible to reduce
    redundancy in the lib build, and just have it use the same
    makefile "infrastructure" as the param builds for all the
    param.xsl files. The reason for that is, lib use the same *.xweb
    system for embedding documentation that the builds for the various
    output formats use (as opposed to the jrefentry-based system that
    used for building the template and PI docs in common etc.

  * Michael(tm) Smith: docbook.xsl

    Took the test that the manpages stylesheet does to see if there
    are any Refentry chilren in current doc, and made it
    namespace-agnostic. Reason for that is because the test otherwise
    won't work when it is copied over into the generated
    profile-docbook.xsl stylesheet.

  * Michael(tm) Smith: Makefile

    Added a manpages/profile-docbook.xsl file to enable single-pass
    profiling for manpages output. KNOWN ISSUE: Single-pass namespace
    stripping does not yet work in combination with the
    manpages/profile-docbook.xsl stylesheet.

  * Michael(tm) Smith: param.xweb

    In files that still referred to nwalsh.com URL in the copyright
    header, changed to docbook.sf.net URL.

  * Michael(tm) Smith: info.xsl

    Output copyright and legalnotice in man-page output in whatever
    place they are in in document order. Closes #1690539. Thanks to
    Daniel Leidert for reporting.

  * Michael(tm) Smith: docbook.xsl

    Restored support for single-pass namespace stripping to manpages
    stylesheet.

  * Michael(tm) Smith: docbook.xsl; other.xsl

    Added check to have the manpages stylesheet log/emit an error
    message if it is given a namespaced DocBook document, with
    instructions to instead either use the docbook5-xsl stylesheets to
    directly process the document, or to use the stripns.xsl
    stylesheet to pre-process it.

  * Michael(tm) Smith: param.xweb

    Removed all "Do not edit this file" admonitions that get output in
    generated stylesheets; such admonitions have in the past been
    judged by the free-software police to be at-risk of
    interpretation as license restrictions.
    Also, made various updates to work around some funkiness is
    xsltproc output.

  * Michael(tm) Smith: table.xsl; endnotes.xsl; other.xsl

    Updated manpages logging to work with new-and-improved logging
    template.

  * Michael(tm) Smith: synop.xsl; block.xsl; info.xsl; inline.xsl; lists.xsl;
    endnotes.xsl; ut

    Changed handling of bold and italic/underline output in manpages
    output. Should be transparent to users, but...

    This touches handling of all bold and italic/underline output. The
    exact change is that the mode="bold" and mode="italic" utility
    templates were changed to named templates. (I think maybe I've
    changed it back and forth from mode to named before, so this is
    maybe re-reverting it yet again).

    Anyway, the reason for the change is that the templates are
    sometimes call on dynamically node-sets, and using modes to format
    those doesn't allow passing info about the current/real context
    node from the source (not the node-set created by the stylesheet)
    to that formatting stage.

    The named templates allow the context to be passed in as a
    parameter, so that the bold/ital formatting template can use
    context-aware condition checking.

    This was basically necessary in order to suppress bold formatting
    in titles, which otherwise gets screwed up because of the numbnut
    way that roff handles nested bold/ital.

    Closes #1674534). Much thanks to Daniel Leidert, whose in his
    docbook-xsl bug-finding kung-fu has achieved Grand Master status.

  * Michael(tm) Smith: block.xsl

    Fixed handling of example instances by adding the example element
    to the same template we use for processing figure. Closes
    #1674538. Thanks to Daniel Leidert.

  * Michael(tm) Smith: utility.xsl

    Don't include lang in manpages filename/pathname if lang=en (that
    is, only generate lang-qualified file-/pathnames for non-English).

  * Michael(tm) Smith: endnotes.xsl

    In manpages output, emit warnings for notesources (footnote, etc.)
    that have something other than para as a child.

    The numbered-with-hanging-indent formatting that's used for
    rendering endnotes in the NOTES section of man pages places some
    limits/assumptions on how the DocBook source is marked up; namely,
    for notesources (footnote, annotation, etc.) that can contain
    block-level children, if the they have a block-level child such as
    a table or itemizedlist or orderedlist that is the first child of
    a footnote, we have no way of rendering/indenting its content
    properly in the endnotes list.

    Thus, the manpages stylesheet not emits a warning message for that
    case, and suggests the "fix" (which is to wrap the table or
    itemizedlist or whatever in a para that has some preferatory text.

  * Michael(tm) Smith: utility.xsl

    Added support to mixed-block template for handling tables in
    mixed-blocks (e.g., as child of para) correctly.

  * Michael(tm) Smith: endnotes.xsl

    Added comment to endnotes code.

  * Michael(tm) Smith: endnotes.xsl

    Normalize text-only endnotes properly.

  * Michael(tm) Smith: utility.xsl

    Fixed problem with lang values not getting added to filenames as
    expected for all cases. Closes #1674564. Thanks to Daniel Leidert
    for reporting.

  * Michael(tm) Smith: param.xweb; param.ent; other.xsl; utility.xsl

    Made some minor updates to param docs and comments in
    manpages stylesheet. Also, removed some params for
    manpages doc that are already doc'ed as HTML params.

  * Michael(tm) Smith: Makefile

    Renamed cvstools dir to buildtools, and replaced all
    references to "cvstools" in makefiles and elsewhere
    with "buildtools".

  * Michael(tm) Smith: table.xsl; synop.xsl; block.xsl; info.xsl; lists.xsl;
    refentry.xsl; end

    Reverted necessary escaping of backslash, dot, and dash
    out of the well-intentioned (but it now appears,
    misguided) "marker" mechanism (introduced in the 1.72.0
    release) -- which made use of alternative "marker"
    characters as internal representations of those
    characters, and then replaced them just prior to
    serialization -- and back into what's basically the
    system that was used prior to the 1.69.0 release; that
    is, into a part of stylesheet code that gets executed
    at the beginning of processing -- before any other roff
    markup up is. This change obviates the need for the
    marker system. It also requires a lot less RAM during
    processing (for large files, the marker mechanism
    ending up requiring gigabytes of memory).

    Closes bug #1661177. Thanks to Scott Smedley for
    providing a test case (the fvwm man page) that exposed
    the problem with the marker mechanism.

    Also moved the mechanism for converting non-breaking
    spaces back into the same area of the stylesheet code.

  * Michael(tm) Smith: lists.xsl

    Fixed problem with incorrect formatting of nested variablelist.
    Closes bug #1650931. Thanks to Daniel "Eagle Eye" Leidert.

  * Michael(tm) Smith: Makefile

    Port from docs-in-db5 branch of all DocBook5-formatted
    params and all associated build changes needed for
    building the param.xsl files and docs from them.

  * Michael(tm) Smith: lists.xsl

    Make sure that all listitems in itemizedlist and orderedlist are
    preceded by a blank line. This fixes a regression that occurred
    when instances of the TP macro that were use in a previous
    versions of the list-handling code were switched to RS/RE (because
    TP doesn't support nesting). TP automatically generates a blank
    line, but RS doesn't. So I added a .sp before each .RS

  * Michael(tm) Smith: endnotes.xsl; links.xsl; docbook.xsl

    Renamed links.xsl to endnotes.xsl.

  * Michael(tm) Smith: block.xsl; inline.xsl; param.xweb; docbook.xsl;
    links.xsl; param.ent

    Made a number of changes related to elements with
    out-of-line content:

    - Added handling for mediaobject & inlinemedidaobject.
      Each imagedata, audiodata, or videodata element
      within a mediaobject or inline mediaobject is now
      treated as a "notesource" and so handled in much the
      same way as links and annotation/alt/footnotes.

      That means a numbered marker is generated inline to
      mark the place in the main flow where the imagedata,
      audiodata, or videodata element occurs, and a
      corresponding numbered endnote for it is generated in
      the endnotes list at the end of the man page; the
      endnote contains the URL from the fileref attribute
      of the imagedata, audiodata, or videodata element.

      For mediobject and inlinemediaobject instances that
      have a textobject child, the textobject is displayed
      within the main text flow.

    - Renamed several man.link.* params to man.endnotes.*,
      to reflect that fact that the endnotes list now
      contains more than just links. Also did similar
      renaming for a number of stylesheet-internal vars.

    - Added support for xlink:href (along with existing
      support for the legacy ulink element).

    - Cleaned up and streamlined the endnotes-handling
      code. It's still messy and klunky and the basic
      mechanism it uses is very inefficent for documents
      that contain a lot of notesources, but at least it's
      a bit better than it was.

  * Michael(tm) Smith: param.xweb

    Updated copyright notices.

HTMLHelp

The following changes have been made to the htmlhelp code since the 1.72.0
release.

  * Mauritz Jeanson: htmlhelp-common.xsl

    Moved the raw.help.title and help.title variables to the hhp-main template to make sure
    a value is assigned after the namespace-stripping has been done. This prevents "Request
    for title of element with no title" errors.

    Added "//db:indexterm[1]|//ng:indexterm[1]" to the select expression of the global
    htmlhelp.generate.index parameter, so that an index can be built for both DB 4 and
    DB 5/NG documents (it's a little ugly, but a value needs to be assigned somehow).

  * Michael(tm) Smith: htmlhelp-common.xsl

    Added single-pass namespace-stripping support to the htmlhelp,
    eclipse, and javahelp stylesheets.

  * Michael(tm) Smith: Makefile

    Tweaked some makefiles to bring them into consistency with other
    makefiles in the build.

  * Michael(tm) Smith: Makefile

    Renamed cvstools dir to buildtools, and replaced all
    references to "cvstools" in makefiles and elsewhere
    with "buildtools".

Eclipse

The following changes have been made to the eclipse code since the 1.72.0
release.

  * Mauritz Jeanson: eclipse.xsl

    Added "db" and "ng" to exclude-result-prefixes.

  * Michael(tm) Smith: eclipse.xsl

    Added single-pass namespace-stripping support to the htmlhelp,
    eclipse, and javahelp stylesheets.

  * Michael(tm) Smith: eclipse.xsl

    In files that still referred to nwalsh.com URL in the copyright
    header, changed to docbook.sf.net URL.

  * Michael(tm) Smith: Makefile

    Tweaked some makefiles to bring them into consistency with other
    makefiles in the build.

  * Michael(tm) Smith: .cvsignore

    Ignore the eclipse generated profile stylesheet.

  * Mauritz Jeanson: Makefile

    Fixed bug #1715093: Makefile for creating profiled version of eclipse.xsl added.

  * David Cramer: eclipse.xsl

    Added normalize-space around  to avoid leading whitespace from appearing in the output if there's extra leading whitespace (e.g. <title> Foo</title>) in the source

JavaHelp

The following changes have been made to the javahelp code since the 1.72.0
release.

  * Michael(tm) Smith: javahelp.xsl

    Added single-pass namespace-stripping support to the htmlhelp,
    eclipse, and javahelp stylesheets.

  * Mauritz Jeanson: javahelp.xsl

    Moved declaration and documentation of javahelp.encoding from javahelp.xsl to the
    regular "parameter machinery".

  * Michael(tm) Smith: javahelp.xsl

    In files that still referred to nwalsh.com URL in the copyright
    header, changed to docbook.sf.net URL.

  * Michael(tm) Smith: Makefile

    Tweaked some makefiles to bring them into consistency with other
    makefiles in the build.

  * Mauritz Jeanson: javahelp.xsl

    Implemented FR #1230233 (sorted index in javahelp).

  * Mauritz Jeanson: javahelp.xsl

    Added normalize-space() around titles and index entries to work around whitespace problems.
    Added support for glossary and bibliography in toc and map files.

  * Michael(tm) Smith: Makefile

    Renamed cvstools dir to buildtools, and replaced all
    references to "cvstools" in makefiles and elsewhere
    with "buildtools".

Roundtrip

The following changes have been made to the roundtrip code since the 1.72.0
release.

  * Michael(tm) Smith: blocks2dbk.xsl; wordml2normalise.xsl;
    normalise2sections.xsl; sections2

    Set keywords on a number of files.

  * Michael(tm) Smith: pages2normalise.xsl

    Removed executable property from roundtrip/pages2normalise.xsl
    file. Thanks to Daniel Leidert for reporting.

  * Steve Ball: blocks2dbk.xsl; blocks2dbk.dtd; pages2normalise.xsl

    Modularised blocks2dbk to allow customisation,
    Added support for tables to pages2normalise

  * Michael(tm) Smith: .cvsignore

    Ignore another build-generated kludge. Yeah, I know it's
    ridiculous. If you can come up with a prettier way of doing it,
    all of my riches will be yours.

  * Michael(tm) Smith: param.xweb

    Make *.xweb instances valid against the
    https://docbook.svn.sourceforge.net/svnroot/docbook/trunk/docbook/relaxng/params/refentry.rnc
    grammar.

  * Steve Ball: blocks2dbk.xsl; wordml2normalise.xsl; normalise2sections.xsl;
    sections2blocks.

    new stylesheets for better word processor support and easier maintenance

  * Michael(tm) Smith: .cvsignore

    Ignore intermediate params file.

  * Michael(tm) Smith: .cvsignore; Makefile

    Set updated ignore properties and adjusted for fact that shared
    makefile now expects a "PARAMBASE" value to be specified (to
    indicate base filename for the type of content being built: either
    PARAMBASE=param or PARAMBASE=lib; this makes it possible to reduce
    redundancy in the lib build, and just have it use the same
    makefile "infrastructure" as the param builds for all the
    param.xsl files. The reason for that is, lib use the same *.xweb
    system for embedding documentation that the builds for the various
    output formats use (as opposed to the jrefentry-based system that
    used for building the template and PI docs in common etc.

  * Michael(tm) Smith: param.xweb; dbk2wordml.xsl; pages-normalise.xsl;
    dbk2pages.xsl; docbook

    In files that still referred to nwalsh.com URL in the copyright
    header, changed to docbook.sf.net URL.

  * Michael(tm) Smith: param.xweb; wordml-blocks.xsl; wordml-sections.xsl

    Removed all "Do not edit this file" admonitions that get output in
    generated stylesheets; such admonitions have in the past been
    judged by the free-software police to be at-risk of
    interpretation as license restrictions.
    Also, made various updates to work around some funkiness is
    xsltproc output.

  * Steve Ball: template-pages.xml; dbk2wp.xsl; sections-spec.xml

    fixed bugs

  * Michael(tm) Smith: Makefile

    Renamed cvstools dir to buildtools, and replaced all
    references to "cvstools" in makefiles and elsewhere
    with "buildtools".

  * Michael(tm) Smith: Makefile

    Port from docs-in-db5 branch of all DocBook5-formatted
    params and all associated build changes needed for
    building the param.xsl files and docs from them.

  * Michael(tm) Smith: param.xweb

    Updated copyright notices.

Slides

The following changes have been made to the slides code since the 1.72.0
release.

  * Jirka Kosek: html/slides-common.xsl

    Fixed wrong template name

  * Michael(tm) Smith: fo/param.xweb; html/param.xweb

    Made some changes to ID values in slides doc source, in order to
    give us more rational filenames in HTML output of the docs.

  * Michael(tm) Smith: fo; html; fo/.cvsignore; html/.cvsignore

    Ignore another build-generated kludge. Yeah, I know it's
    ridiculous. If you can come up with a prettier way of doing it,
    all of my riches will be yours.

  * Michael(tm) Smith: fo/param.xweb; html/param.xweb

    Make *.xweb instances valid against the
    https://docbook.svn.sourceforge.net/svnroot/docbook/trunk/docbook/relaxng/params/refentry.rnc
    grammar.

  * Michael(tm) Smith: fo/Makefile

    Make sure that *template.xml files under version control don't get
    removed when we clean.

  * Michael(tm) Smith: fo; html; fo/.cvsignore; html/.cvsignore

    Ignore intermediate params file.

  * Michael(tm) Smith: fo; html; fo/.cvsignore; fo/Makefile; html/.cvsignore;
    html/Makefile

    Set updated ignore properties and adjusted for fact that shared
    makefile now expects a "PARAMBASE" value to be specified (to
    indicate base filename for the type of content being built: either
    PARAMBASE=param or PARAMBASE=lib; this makes it possible to reduce
    redundancy in the lib build, and just have it use the same
    makefile "infrastructure" as the param builds for all the
    param.xsl files. The reason for that is, lib use the same *.xweb
    system for embedding documentation that the builds for the various
    output formats use (as opposed to the jrefentry-based system that
    used for building the template and PI docs in common etc.

  * Michael(tm) Smith: fo/param.xweb; html/param.xweb

    In files that still referred to nwalsh.com URL in the copyright
    header, changed to docbook.sf.net URL.

  * Michael(tm) Smith: html/param.xweb; fo/param.xweb

    Removed all "Do not edit this file" admonitions that get output in
    generated stylesheets; such admonitions have in the past been
    judged by the free-software police to be at-risk of
    interpretation as license restrictions.
    Also, made various updates to work around some funkiness is
    xsltproc output.

  * Michael(tm) Smith: fo/plain.xsl; Makefile; html/slides-common.xsl

    Made some further adjustments to cause slides/fo and
    slides/html param builds to work correctly.

  * Michael(tm) Smith: fo; html; Makefile; fo/.cvsignore; fo/Makefile;
    html/.cvsignore; html/M

    Made changes to cause build of separate
    slides/fo/param.xsl and slides/html/param.xsl files,
    and updated doc build to handle that split. Also
    updated build of ChangeLog.xml, NEWS file and
    RELEASE-NOTES.{html,txt,pdf} builds to include slides
    and website changes.
    Closes bug #1671745. Thanks to Justus Piater.

  * Michael(tm) Smith: Makefile; doc/Makefile; Makefile; fo/Makefile;
    demo/frames2/Makefile; d

    Renamed cvstools dir to buildtools, and replaced all
    references to "cvstools" in makefiles and elsewhere
    with "buildtools".

  * Michael(tm) Smith: param.xweb; Makefile; param.ent; fo/Makefile;
    .cvsignore; fo/plain.xsl

    Port from docs-in-db5 branch of all DocBook5-formatted
    params and all associated build changes needed for
    building the param.xsl files and docs from them.

  * Michael(tm) Smith: graphics; browser; xsl; graphics; browser

    Moved slides and website stylesheets into xsl tree. They have
    shipped as part of xsl for the last three releases now, just been
    getting pulled in as part of the build. Now that we're using svn,
    it's trivial to actually move them in (and to move them back out
    if we need to).

Website

The following changes have been made to the website code since the 1.72.0
release.

  * Michael(tm) Smith: param.xweb

    Put website docs into categories.

  * Michael(tm) Smith: .cvsignore

    Ignore another build-generated kludge. Yeah, I know it's
    ridiculous. If you can come up with a prettier way of doing it,
    all of my riches will be yours.

  * Michael(tm) Smith: param.xweb

    Make *.xweb instances valid against the
    https://docbook.svn.sourceforge.net/svnroot/docbook/trunk/docbook/relaxng/params/refentry.rnc
    grammar.

  * Michael(tm) Smith: .cvsignore

    Ignore intermediate params file.

  * Michael(tm) Smith: Makefile; .cvsignore

    Set updated ignore properties and adjusted for fact that shared
    makefile now expects a "PARAMBASE" value to be specified (to
    indicate base filename for the type of content being built: either
    PARAMBASE=param or PARAMBASE=lib; this makes it possible to reduce
    redundancy in the lib build, and just have it use the same
    makefile "infrastructure" as the param builds for all the
    param.xsl files. The reason for that is, lib use the same *.xweb
    system for embedding documentation that the builds for the various
    output formats use (as opposed to the jrefentry-based system that
    used for building the template and PI docs in common etc.

  * Michael(tm) Smith: xbel.xsl; website.xsl; website-common.xsl

    In files that still referred to nwalsh.com URL in the copyright
    header, changed to docbook.sf.net URL.

  * Michael(tm) Smith: param.xweb

    Removed all "Do not edit this file" admonitions that get output in
    generated stylesheets; such admonitions have in the past been
    judged by the free-software police to be at-risk of
    interpretation as license restrictions.
    Also, made various updates to work around some funkiness is
    xsltproc output.

  * Michael(tm) Smith: Makefile; schema/dtd/Makefile; schema/relaxng/Makefile;
    Makefile

    Renamed cvstools dir to buildtools, and replaced all
    references to "cvstools" in makefiles and elsewhere
    with "buildtools".

  * Michael(tm) Smith: Makefile; .cvsignore; param.xweb; param.ent

    Port from docs-in-db5 branch of all DocBook5-formatted
    params and all associated build changes needed for
    building the param.xsl files and docs from them.

  * Michael(tm) Smith: xsl

    Moved slides and website stylesheets into xsl tree. They have
    shipped as part of xsl for the last three releases now, just been
    getting pulled in as part of the build. Now that we're using svn,
    it's trivial to actually move them in (and to move them back out
    if we need to).

Params

The following changes have been made to the params code since the 1.72.0
release.

  * Mauritz Jeanson: callout.unicode.number.limit.xml;
    compact.list.item.spacing.xml; ulink.sh

    A few small parameter fixes.

  * Mauritz Jeanson: saxon.character.representation.xml

    Emphasized that the parameter only works with Saxon 6.
    Fixed reference to chunker.output.encoding.

  * Mauritz Jeanson: highlight.source.xml

    Changed uri to link.

  * Mauritz Jeanson: htmlhelp.show.advanced.search.xml

    Reworded refpurpose.

  * Mauritz Jeanson: tex.math.delims.xml

    Reworded refpurpose.

  * Mauritz Jeanson: img.src.path.xml

    Fixed typos.

  * Mauritz Jeanson: autotoc.label.in.hyperlink.xml;
    annotation.graphic.open.xml; highlight.so

    Some small fixes.

  * Mauritz Jeanson: passivetex.extensions.xml

    Updated URL, added note.

  * Mauritz Jeanson: make.year.ranges.xml

    Added inline markup.

  * Mauritz Jeanson: highlight.source.xml

    Some recasting of the documentation.

  * Mauritz Jeanson: funcsynopsis.decoration.xml; funcsynopsis.style.xml

    Changed element names to lowercase.

  * Mauritz Jeanson: index.prefer.titleabbrev.xml

    Added a description.

  * Mauritz Jeanson: function.parens.xml

    Fixed typos.

  * Robert Stayton: procedure.properties.xml

    procedure was inheriting keep-together from formal.object.properties, but
    a procedure does not need to be kept together by default.

  * Mauritz Jeanson: htmlhelp.show.favorities.xml

    Corrected refpurpose and description.
    (The name of this parameter is misspelt, but I'm ignoring that for now.
    The HTML Help section in TCG has the correct spelling, btw.)

  * Mauritz Jeanson: htmlhelp.use.hhk.xml

    Updated refpurpose and description; added TCG link.

  * Mauritz Jeanson: htmlhelp.enumerate.images.xml; htmlhelp.hhc.width.xml;
    htmlhelp.hhc.show.

    More clarifications and wording tweaks.

  * Mauritz Jeanson: htmlhelp.show.menu.xml

    Tweaked wording (note that the parameter controls the display of a menu bar, not a menu).

  * Dave Pawson: javahelp.encoding.xml

    Tidy up of javahelp.encoding.xml

  * Michael(tm) Smith: reference.autolabel.xml

    Fixed wording in embedded doc for reference.autolabel  param.

  * Michael(tm) Smith: olink.fragid.xml

    Restored equal sign in default value of olink.fragid param.

  * Michael(tm) Smith: html.longdesc.xml

    Restored tag markup around textobject in html.longdesc param doc.

  * Michael(tm) Smith: default.table.width.xml

    Removed some invalid markup in the default.table.width param doc.

  * Michael(tm) Smith: olink.resolver.xml

    Restored leading "/" in default value of the olink.resolver param.

  * Michael(tm) Smith: textinsert.extension.xml

    The textinsert.extension parameter really does just enable the
    textinsert extension (that is, it's not the parameter that inserts
    the contents of external files - textinsert extension element does).

  * Michael(tm) Smith: htmlhelp.force.map.and.alias.xml

    Fixed typo (contex.h -> context.h) in htmlhelp.force.map.and.alias
    param docs.

  * Michael(tm) Smith: emphasis.propagates.style.xml

    Restored tag markup on emphasis element in the
    emphasis.propagates.style doc.

  * Michael(tm) Smith: nominal.image.width.xml

    Reverted the r7131 change to the value of the
    nominal.image.width param (the value is an literal expression
    that's meant to be evaluated, not a string expression.

  * Michael(tm) Smith: htmlhelp.button.jump1.xml

    Fixed "Jump2" typo (should be "Jump1")

  * Michael(tm) Smith: htmlhelp.map.file.xml

    Default value appears to actually be context.h

  * Michael(tm) Smith: id.warnings.xml

    Default for id.warnings is not actually for them not to be
    emitted.

  * Michael(tm) Smith: chunker.output.cdata-section-elements.xml;
    chunker.output.standalone.xm

    Restored necessary ".frag" in IDs of src:fragment instances in
    chunker.output.* param files.

  * Michael(tm) Smith: dry-run.xml

    Restored necessary ".frag" part to ID on scr:fragment

  * Dave Pawson: title.font.family.xml;
    component.label.includes.part.label.xml; table.frame.b

    Regular formatting re-org.

  * Michael(tm) Smith: abstract.notitle.enabled.xml

    Minor clean-up of abstract.notitle.enabled.xml to make it follow
    proper convention for default values for booleans. Also, added
    abstract.notitle.enabled=1 to stylesheet we use for building the
    reference docs for the distro (I though it was there and in fact
    claimed that it was there, but, well, I guess I was
    wrong/drunk/lying...)

  * Mauritz Jeanson: htmlhelp.only.xml

    Fixed refpurpose wording.

  * Michael(tm) Smith: man.authors.section.enabled.xml;
    man.copyright.section.enabled.xml

    Added the man.authors.section.enabled and
    man.copyright.section.enabled parameters. Set those to zero when
    you want to suppress display of the auto-generated AUTHORS and
    COPYRIGHT sections. Closes request #1467806. Thanks to Daniel
    Leidert.

  * Michael(tm) Smith: tex.math.file.xml

    Fixed typo.

  * Michael(tm) Smith: variablelist.as.table.xml; variablelist.as.blocks.xml;
    glossary.as.bloc

    Mark up PIs with tag@class=xmlpi so that they can get picked up an
    formatted correctly by the doc build.

  * Mauritz Jeanson: htmlhelp.button.back.xml; htmlhelp.button.forward.xml;
    htmlhelp.button.zo

    Modified refpurpose text.

  * Mauritz Jeanson: htmlhelp.map.file.xml; htmlhelp.force.map.and.alias.xml;
    htmlhelp.alias.f

    Fixed typos, made some small changes.

  * Mauritz Jeanson: javahelp.encoding.xml

    Moved declaration and documentation of javahelp.encoding from javahelp.xsl to the
    regular "parameter machinery".

  * Mauritz Jeanson: generate.id.attributes.xml

    Added refpurpose text.

  * Mauritz Jeanson: annotation.js.xml; annotation.graphic.open.xml;
    annotation.graphic.close.

    Added better refpurpose texts.

  * Mauritz Jeanson: index.on.type.xml

    Added two more class="attribute".

  * Michael(tm) Smith: chunker.output.cdata-section-elements.xml;
    chunker.output.doctype-syste

    Corrected duplicate ID problem introduced in previous commit.

  * Michael(tm) Smith: chunker.output.cdata-section-elements.xml;
    chunker.output.standalone.xm

    Fixed some broken formatting in source files for chunker.* params,
    as pointed out by Dave Pawson.

  * Michael(tm) Smith: use.embed.for.svg.xml; generate.meta.abstract.xml

    Reverted addition of tag@role=html markup. It's no longer
    necessary, because the doc build now has a smarter way of
    distinguishing between DocBook elements marked up with the tag
    element, and non-DocBook elements marked up with such.

  * Michael(tm) Smith: label.from.part.xml

    Changed handling of reference auto-labeling such that reference
    (when it appears at the component level) is now affected by the
    label.from.part param, just as preface, chapter, and appendix.

  * Mauritz Jeanson: callout.graphics.extension.xml

    Clarified that 'extension' refers to file names.

  * Mauritz Jeanson: section.title.level2.properties.xml;
    section.title.level3.properties.xml;

    Fixed level number in refpurpose.

  * Mauritz Jeanson: index.on.role.xml

    Added class="attribute" markup.

  * Mauritz Jeanson: show.comments.xml

    The comment element was renamed to remark in DB 4.0.

  * Mauritz Jeanson: keep.relative.image.uris.xml

    Fixed typo.

  * Mauritz Jeanson: use.embed.for.svg.xml; generate.meta.abstract.xml;
    index.on.type.xml

    Added role/class attributes on some <tag>s to prevent generation of TDG links for DocBook
    attributes and HTML elements.

  * Michael(tm) Smith: tex.math.file.xml; tex.math.in.alt.xml;
    tex.math.delims.xml

    Added embedded documentation on the following PIs:

      - dbhtml_start
      - dbfo_start
      - dbtex_delims
      - dbtimestamp

  * Michael(tm) Smith: textinsert.extension.xml

    Completing adding all doc for HTML PIs. Added "see also" sections
    with links to related global params, plus links to DocBook XSL: TCG
    Also tried out adding some additional doc to param doc for the
    textinsert.extension param that back-references the PI
    documentation, plus added some TCG links there too.

  * Michael(tm) Smith: abstract.notitle.enabled.xml

    Added new param abstract.notitle.enabled.
    If non-zero, in output of the abstract element on titlepages,
    display of the abstract title is suppressed.
    Because sometimes you really don't want or need that title
    there...

  * Michael(tm) Smith: man.string.subst.map.xml

    Output copyright and legalnotice in man-page output in whatever
    place they are in in document order. Closes #1690539. Thanks to
    Daniel Leidert for reporting.

  * Michael(tm) Smith: man.string.subst.map.xml

    Updated manpages string-substitute map to reflect fact that
    because of another recent change to suppress bold markup in .SH
    output, we no longer need to add a workaround for the accidental
    uppercasing of roff escapes that occurred previously.

  * Jirka Kosek: margin.note.float.type.xml; title.font.family.xml;
    table.frame.border.color.x

    Improved parameter metadata

  * Robert Stayton: index.div.title.properties.xml

    Fixed repeated space-before.optimum

  * Robert Stayton: profile.wordsize.xml; profile.audience.xml

    Add support for profiling on new attributes audience and wordsize.

  * Robert Stayton: callout.graphics.number.limit.xml;
    callout.graphics.extension.xml

    Added SVG graphics for fo output.

  * Robert Stayton: callout.icon.size.xml

    Set size of callout graphics.

  * Robert Stayton: callout.bug.size.xml

    Replaced with new name.

  * Robert Stayton: callout.bug.size.xml

    Control size of graphical callout bugs in FO output.

  * Jirka Kosek: default.units.xml; chunker.output.method.xml;
    toc.list.type.xml; output.inden

    Updated parameter metadata to the new format.

  * Jirka Kosek: man.output.quietly.xml; title.font.family.xml;
    footnote.sep.leader.properties

    Added type annotations into parameter definition files.

  * Robert Stayton: section.container.element.xml

    Support spans in sections for certain processors.

  * Robert Stayton: component.titlepage.properties.xml

    Empty attribute set for top level component titlepage block.
    Allows setting a span on title info.

  * Jirka Kosek: bibliography.style.xml

    Added link to WiKi page with description of special markup needed for ISO690 biblioentries

  * Michael(tm) Smith: man.string.subst.map.xml

    Made some minor updates to param docs and comments in
    manpages stylesheet. Also, removed some params for
    manpages doc that are already doc'ed as HTML params.

  * Robert Stayton: make.year.ranges.xml

    Clarify that multiple year elements are required.

  * Michael(tm) Smith: man.string.subst.map.xml

    Reverted necessary escaping of backslash, dot, and dash
    out of the well-intentioned (but it now appears,
    misguided) "marker" mechanism (introduced in the 1.72.0
    release) -- which made use of alternative "marker"
    characters as internal representations of those
    characters, and then replaced them just prior to
    serialization -- and back into what's basically the
    system that was used prior to the 1.69.0 release; that
    is, into a part of stylesheet code that gets executed
    at the beginning of processing -- before any other roff
    markup up is. This change obviates the need for the
    marker system. It also requires a lot less RAM during
    processing (for large files, the marker mechanism
    ending up requiring gigabytes of memory).

    Closes bug #1661177. Thanks to Scott Smedley for
    providing a test case (the fvwm man page) that exposed
    the problem with the marker mechanism.

    Also moved the mechanism for converting non-breaking
    spaces back into the same area of the stylesheet code.

  * Robert Stayton: id.warnings.xml

    Turn off id.warnings by default.

  * Michael(tm) Smith: title.font.family.xml; toc.line.properties.xml;
    component.label.include

    Port from docs-in-db5 branch of all DocBook5-formatted
    params and all associated build changes needed for
    building the param.xsl files and docs from them.

  * Michael(tm) Smith: man.string.subst.map.xml

    Fixed typo in param file.

  * Jirka Kosek: bibliography.style.xml

    Added support for formatting biblioentries according to ISO690 citation style.
    New bibliography style can be turned on by setting parameter bibliography.style to "iso690"
    The code was provided by Jana Dvorakova

  * Robert Stayton: header.table.properties.xml; footer.table.properties.xml

    Support adding table properties to header and footer tables.

  * Michael(tm) Smith: man.string.subst.map.xml

    Put custom "substitution" element in params/man.string.subst.map.xml into a namespace.

  * Michael(tm) Smith: editedby.enabled.xml

    Removed stray text that was causing WF error.

  * Michael(tm) Smith: man.links.are.underlined.xml;
    man.endnotes.list.enabled.xml; man.links.

    Made a number of changes related to elements with
    out-of-line content:

    - Added handling for mediaobject & inlinemedidaobject.
      Each imagedata, audiodata, or videodata element
      within a mediaobject or inline mediaobject is now
      treated as a "notesource" and so handled in much the
      same way as links and annotation/alt/footnotes.

      That means a numbered marker is generated inline to
      mark the place in the main flow where the imagedata,
      audiodata, or videodata element occurs, and a
      corresponding numbered endnote for it is generated in
      the endnotes list at the end of the man page; the
      endnote contains the URL from the fileref attribute
      of the imagedata, audiodata, or videodata element.

      For mediobject and inlinemediaobject instances that
      have a textobject child, the textobject is displayed
      within the main text flow.

    - Renamed several man.link.* params to man.endnotes.*,
      to reflect that fact that the endnotes list now
      contains more than just links. Also did similar
      renaming for a number of stylesheet-internal vars.

    - Added support for xlink:href (along with existing
      support for the legacy ulink element).

    - Cleaned up and streamlined the endnotes-handling
      code. It's still messy and klunky and the basic
      mechanism it uses is very inefficent for documents
      that contain a lot of notesources, but at least it's
      a bit better than it was.

  * Robert Stayton: toc.line.properties.xml

    Moved the end-indent properties from toc.line to the
    toc.line.properties attribute-set.

  * Robert Stayton: xep.index.item.properties.xml

    Fixed case of class attribute in sgmltag element.

Highlighting

The following changes have been made to the highlighting code since the 1.72.0
release.

  * Michael(tm) Smith: common.xsl

    Set keywords on a number of files.

  * Michael(tm) Smith: common.xsl

    In files that still referred to nwalsh.com URL in the copyright
    header, changed to docbook.sf.net URL.

  * Jirka Kosek: c-hl.xml; xslthl-config.xml

    Added support for C language. Provided by Bruno Guegan.

Profiling

The following changes have been made to the profiling code since the 1.72.0
release.

  * Mauritz Jeanson: xsl2profile.xsl

    Fixed bug that affected Eclipse profiling. "etoc" was added as a named template to be processed
    in "correct" mode.

  * Michael(tm) Smith: xsl2profile.xsl

    Updated stylesheets to use common logging template to log messages
    emitted during namespace-stripping.
    Also, moved pad-string template from lib to common because
    it's needed in order to use logging template in the profiling
    stylesheets, and the lib build relies on the profiling apparatus
    (so the profiling apparatus can't rely on lib being built first...)

  * Michael(tm) Smith: xsl2profile.xsl

    Removed all "Do not edit this file" admonitions that get output in
    generated stylesheets; such admonitions have in the past been
    judged by the free-software police to be at-risk of
    interpretation as license restrictions.
    Also, made various updates to work around some funkiness is
    xsltproc output.

  * Robert Stayton: profile-mode.xsl

    Add support for new profiling attributes audience and wordsize.

  * Robert Stayton: profile.xsl

    Add new profiling attributes audience and wordsize.

Lib

The following changes have been made to the lib code since the 1.72.0 release.

  * Michael(tm) Smith: lib.xweb

    Moved charmap templates out of lib.xweb and into
    common/charmap.xsl, and added charmap doc to doc build.

  * Michael(tm) Smith: lib.xweb

    Make structure of lib.xweb embedded doc consistent with structure
    of similar embedded doc in other source files.

  * Michael(tm) Smith: lib.xweb

    Make lib.xweb valid against our litprog grammar.

  * Michael(tm) Smith: .cvsignore

    Ignore another build-generated kludge. Yeah, I know it's
    ridiculous. If you can come up with a prettier way of doing it,
    all of my riches will be yours.

  * Michael(tm) Smith: lib.xweb

    Make *.xweb instances valid against the
    https://docbook.svn.sourceforge.net/svnroot/docbook/trunk/docbook/relaxng/params/refentry.rnc
    grammar.

  * Michael(tm) Smith: lib.xweb

    Updated embedded doc in XSL source files:

     - added dbhtml@dir PIs to control where output goes when
       generation HTML version of docs

     - put xml:id instances on root elements of embedded doc

     - changed all *info instances to just info (DocBook 5) and some
       @id instance to @xml-id

  * Michael(tm) Smith: .cvsignore

    Updated ignore properties on lib dir

  * Michael(tm) Smith: .cvsignore

    Set updated ignore properties and adjusted for fact that shared
    makefile now expects a "PARAMBASE" value to be specified (to
    indicate base filename for the type of content being built: either
    PARAMBASE=param or PARAMBASE=lib; this makes it possible to reduce
    redundancy in the lib build, and just have it use the same
    makefile "infrastructure" as the param builds for all the
    param.xsl files. The reason for that is, lib use the same *.xweb
    system for embedding documentation that the builds for the various
    output formats use (as opposed to the jrefentry-based system that
    used for building the template and PI docs in common etc.

  * Michael(tm) Smith: Makefile

    Made the lib build make reuse of the same makefile infrastructure
    now used for param builds.

  * Michael(tm) Smith: Makefile

    Added a mechanism for "building" copies of the w2docbook.xsl,
    ldocbook.xsl, cldocbook.xsl, xtangle.xsl files. All that this
    "build" really does is to to first make the litprog module, then
    copy over those files to the releasetools directory, prepending to
    the copies a warning that they might not be up-to-date.
    And so am no also checking in those copies to source control,
    and updating the docbook-xsl build to use those instead of the
    source versions in the litprog module.
    This removes litprog as a build target/dependency for docbook-xsl.
    The sole purpose of this change is just to make it easier for
    other developers to do docbook-xsl release builds.
    The litprog sources change very rarely, so it won't be a big
    maintenance problem to keep these static copies in releasetools up
    to date, and it'll certainly make it easier for developers to do
    builds...

  * Michael(tm) Smith: lib.xweb

    In files that still referred to nwalsh.com URL in the copyright
    header, changed to docbook.sf.net URL.

  * Michael(tm) Smith: lib.xweb

    Moved logging template and related templates to separate
    utility.xsl file so that can be imported without importing the
    whole common.xsl file (which is necessary for the build and for
    using the logging template in standalone namespace-stripping
    because the common.xsl file assumes it will be imported along with
    all the params, which it can't be when building lib.xsl).

  * Michael(tm) Smith: lib.xweb

    Updated stylesheets to use common logging template to log messages
    emitted during namespace-stripping.
    Also, moved pad-string template from lib to common because
    it's needed in order to use logging template in the profiling
    stylesheets, and the lib build relies on the profiling apparatus
    (so the profiling apparatus can't rely on lib being built first...)

  * Michael(tm) Smith: lib.xweb

    Fixed typo/oversight in trim-left lib template.

  * Michael(tm) Smith: lib.xweb

    Changed name of prepend-pad template to pad-string and twheeked so
    it can do both right/left padding.

  * Michael(tm) Smith: Makefile

    Renamed cvstools dir to buildtools, and replaced all
    references to "cvstools" in makefiles and elsewhere
    with "buildtools".

  * Michael(tm) Smith: lib.xweb

    Updated copyright notices.

Tools

The following changes have been made to the tools code since the 1.72.0
release.

  * Michael(tm) Smith: xsl/build/doc-link-docbook.xsl

    Moved release-notes boilerplate into abstract and added links to
    online change history to release-notes and to README. Also made a
    minor correction to the README.BUILD file.

  * Michael(tm) Smith: xsl/build/make-xsl-pi.xsl

    Set keywords on a number of files.

  * Michael(tm) Smith: xsl/build/html2roff.xsl

    Updated html2roff.xsl to revert to output of real dot characters
    instead of U+2302 markers.

  * Mauritz Jeanson: xsl/build/reference-fo.xsl

    Added template for handling links with role='tcg' (patterned after HTML version).

  * Mauritz Jeanson: xsl/build/reference.xsl

    Use admon.textlabel instead of admon.graphics (to avoid problems with paths to the admonition graphics).

  * Mauritz Jeanson: xsl/build/reference.xsl

    Set admon.graphics to 1 to make it easier to distinguish between types of admonitions.

  * Michael(tm) Smith: xsl/build/reference.xsl

    Minor clean-up of abstract.notitle.enabled.xml to make it follow
    proper convention for default values for booleans. Also, added
    abstract.notitle.enabled=1 to stylesheet we use for building the
    reference docs for the distro (I though it was there and in fact
    claimed that it was there, but, well, I guess I was
    wrong/drunk/lying...)

  * Michael(tm) Smith: xsl/build/reference.xsl; xsl/build/make-xsl-pi.xsl;
    xsl/build/xsl-pi-li

    Added support for auto-generating doc hyperlinks for names of
    docbook-xsl PIs referenced in the docs.

  * Michael(tm) Smith: xsl/build/jref2refsect1.xsl

    Added handling for refsee@role=tcg sections.

  * Michael(tm) Smith: xsl/build/make-xsl-params.xsl;
    xsl/build/make-elements.xsl

    Minor change to add more prominent "warning" in output of the
    stylesheets that generate the elements and params list used in the
    doc build.

  * Michael(tm) Smith: xsl/build/fix-params-ns.xsl

    Revert change made to fix-params-ns.xsl to cause namespaces to be
    copied over.

  * Michael(tm) Smith: xsl/build/reference.xsl

    In reference doc for docbook-xsl, auto-label all part output, and
    also include part labels in component labels.

  * Michael(tm) Smith: xsl/build/reference.xsl

    Don't include list of figures in book TOC for reference docs.

  * Michael(tm) Smith: xsl/build/clrefentry.xsl; xsl/build/lrefentry.xsl;
    xsl/build/jrefhtml.x

    Removed obsoleted lrefentry, clrefentry, and jrefhtml stylesheets.
    All HTML output is now generated using the reference.xsl
    stylesheet (and the build now converts jref content to standard
    DocBook content before generating HTML).

  * Michael(tm) Smith: xsl/build/reference.xsl

    Make the reference.xsl stylesheet (which is used for building the
    HTML output of the docs) import the DocBook-element and
    docbook-xsl-param auto-hyperlinking stylesheets (which are already
    used for adding hyperlinks in the release notes). This makes the
    auto-hyperlinking consistent between the systems used for the
    release-notes build and for the reference docs.

  * Michael(tm) Smith: xsl/build/xsl2jref.xsl

    Don't output prolog in xsl2jref output (no doctype, not public ID,
    no system ID). Because otherwise we end up with the output tree
    getting populated with implied attributes some of which are no
    longer valid in DocBook 5.

  * Michael(tm) Smith: xsl/build/tdg-link.xsl

    Cleaned up template that handles adding markup for sgmltag|tag
    instances that are DocBook element names.

  * Michael(tm) Smith: xsl/build/jref2refsect1.xsl

    Made jref2refsect1 stylesheet convert all @id instances to @xml:id

  * Michael(tm) Smith: xsl/build/id-to-xmlid.xsl

    Adding yet another hack to workaround the fact that the DocBook 5
    grammar requires @xml:id instead of @id, and xsltproc actually
    takes xml:id seriously and checks that it's really a NCName.

  * Michael(tm) Smith: xsl/build/xsl-param-link.xsl

    Added the doc-baseuri param to the stylesheet used for
    automatically adding hyperlinks in generated doc for stylesheet
    params and in release-notes output.
    For output of the param doc, doc-baseuri is set to "../" (relative
    path so links point to local files).
    For release-note output, doc-baseuri is set to the http: url for
    the current version of the docbook-xsl docs (instead of to local
    files); reason being that when installed from a downstream
    package, the release notes can't point to local files because the
    release notes are often installed in a separate place for the docs.

  * Michael(tm) Smith: xsl/build/xsl2jref.xsl

    Don't prepend "template." to IDs for embedded doc for PIs. (cause
    of this was a copy/paste error -- the template for processing
    embedded PI documentation began life as a copy of the template for
    processing embeded doc for templates)

  * Michael(tm) Smith: xsl/build/fix-params-ns.xsl

    Don't strip namespace nodes from xsl:stylesheet instances when
    generating doc files.

  * Michael(tm) Smith: xsl/build/xsl2jref.xsl

    Adjusted xsl2jref to copy over any attributes on source
    doc:reference instances (primarily embedded doc for params) and to
    also copy any PIs that are children of doc:reference.
    That ensures that any id/xml:id attributes get copied over -- so
    that they can be used when use.id.as.filename is on -- and that
    any dbhtml@dir and dbhtml@filename PIs can be used for moving
    files into the correct subdirs and are output with right names.

  * Michael(tm) Smith: xsl/build/reference.xsl; xsl/build/reference-fo.xsl;
    xsl/build/referenc

    Updated stylesheet customization layers used for doc build,
    including disabling extensions during doc build to prevent "Failed
    to load image page.png" error messages.

  * Michael(tm) Smith: xsl/build/xmlid-to-id.xsl

    Kludge to replace xml:id with id so that we can build the docs
    without xsltproc squawking about duplicate IDs.

  * Michael(tm) Smith: xsl/build/reference-fo.xsl

    Had wrong name for hyphenate param; fixed.

  * Michael(tm) Smith: xsl/build/xsl2jref.xsl; xsl/build/jref2refsect1.xsl

    Added some handling in the doc build for generating docs for PIs.

  * Michael(tm) Smith: xsl/build/clrefentry.xsl; xsl/build/lrefentry.xsl

    Added a mechanism for "building" copies of the w2docbook.xsl,
    ldocbook.xsl, cldocbook.xsl, xtangle.xsl files. All that this
    "build" really does is to to first make the litprog module, then
    copy over those files to the releasetools directory, prepending to
    the copies a warning that they might not be up-to-date.
    And so am no also checking in those copies to source control,
    and updating the docbook-xsl build to use those instead of the
    source versions in the litprog module.
    This removes litprog as a build target/dependency for docbook-xsl.
    The sole purpose of this change is just to make it easier for
    other developers to do docbook-xsl release builds.
    The litprog sources change very rarely, so it won't be a big
    maintenance problem to keep these static copies in releasetools up
    to date, and it'll certainly make it easier for developers to do
    builds...

  * Michael(tm) Smith: xsl/build/jrefhtml.xsl; xsl/build/jref2refsect1.xsl;
    xsl/build/xsl2jref

    In files that still referred to nwalsh.com URL in the copyright
    header, changed to docbook.sf.net URL.

  * Michael(tm) Smith: xsl/build/dblatex-release-notes.xsl

    Added monoseq.small param to dblatex customization to make inline
    monospaced font be same side as default font for programlisting
    and screen output.

  * Michael(tm) Smith: xsl/build/dblatex-release-notes.xsl

    Set doc.collab.show to 0 when building release-notes PDF with
    dblatex (to get rid of the butt-ugly "Collaborators" table that
    dblatex generates by default. Thanks Benoit Guillon for adding the
    option to dblatex.

  * Michael(tm) Smith: xsl/build/jrefhtml.xsl

    Don't indent output from jrefhtml.xsl (which is used for building
    the developer docs).

  * Michael(tm) Smith: xsl/build/fix-params-ns.xsl;
    xsl/build/make-elements.xsl; xsl/build/mak

    Removed all "Do not edit this file" admonitions that get output in
    generated stylesheets; such admonitions have in the past been
    judged by the free-software police to be at-risk of
    interpretation as license restrictions.
    Also, made various updates to work around some funkiness is
    xsltproc output.

  * Michael(tm) Smith: make/Makefile.docParam

    Updated Makefile.docParam to handle current db5-namespaced param
    source. Also added support for it to copy xsl:attribute-set along
    with xsl:param (neglected to have it doing that previously...)
    Note that the Makefile.docParam makefile generates copies of the
    html/param.xsl, fo/param.xsl, etc. files with the documentation
    embedded. It was originally intended for use with oXygen XML
    Editor (because oXygen has the capability to parse out that
    embedded doc and display it in the oXygen UI) but could be useful
    for other purposes.

  * Michael(tm) Smith: xsl/build/xsl-param-link.xsl;
    xsl/build/make-xsl-params.xsl

    Made changes to cause build of separate
    slides/fo/param.xsl and slides/html/param.xsl files,
    and updated doc build to handle that split. Also
    updated build of ChangeLog.xml, NEWS file and
    RELEASE-NOTES.{html,txt,pdf} builds to include slides
    and website changes.
    Closes bug #1671745. Thanks to Justus Piater.

  * Michael(tm) Smith: make/Makefile.combine

    Made some minor updates to param docs and comments in
    manpages stylesheet. Also, removed some params for
    manpages doc that are already doc'ed as HTML params.

  * Michael(tm) Smith: xsl/build/fix-params-ns.xsl; xsl/build/burst.xsl;
    xsl/build/entify.xsl;

    Port from docs-in-db5 branch of all DocBook5-formatted
    params and all associated build changes needed for
    building the param.xsl files and docs from them.

  * Michael(tm) Smith: bin/docbook-xsl-update

    Make docbook-xsl-update check for VERSION file instead of for
    install.sh file.

  * Michael(tm) Smith: bin/docbook-xsl-update

    Corrected typo in docbook-xsl-update script.

  * Michael(tm) Smith: bin; bin/docbook-xsl-update

    Did some cleanup to the install.sh source and added a
    docbook-xsl-update script to the docbook-xsl distro, the purpose
    of which is to facilitate easy sync-up to the latest docbook-xsl
    snapshot (by means of rynsc).

Template

The following changes have been made to the template code since the 1.72.0
release.

  * Michael(tm) Smith: titlepage.xsl

    Make template/titlepage.xsl file valid against our litprog schema.

  * Michael(tm) Smith: titlepage.xsl

    Updated embedded doc in XSL source files:

     - added dbhtml@dir PIs to control where output goes when
       generation HTML version of docs

     - put xml:id instances on root elements of embedded doc

     - changed all *info instances to just info (DocBook 5) and some
       @id instance to @xml-id

  * Michael(tm) Smith: .cvsignore

    Set updated ignore properties and adjusted for fact that shared
    makefile now expects a "PARAMBASE" value to be specified (to
    indicate base filename for the type of content being built: either
    PARAMBASE=param or PARAMBASE=lib; this makes it possible to reduce
    redundancy in the lib build, and just have it use the same
    makefile "infrastructure" as the param builds for all the
    param.xsl files. The reason for that is, lib use the same *.xweb
    system for embedding documentation that the builds for the various
    output formats use (as opposed to the jrefentry-based system that
    used for building the template and PI docs in common etc.

  * Michael(tm) Smith: titlepage.xsl

    In files that still referred to nwalsh.com URL in the copyright
    header, changed to docbook.sf.net URL.

  * Michael(tm) Smith: titlepage.xsl

    Moved logging template and related templates to separate
    utility.xsl file so that can be imported without importing the
    whole common.xsl file (which is necessary for the build and for
    using the logging template in standalone namespace-stripping
    because the common.xsl file assumes it will be imported along with
    all the params, which it can't be when building lib.xsl).

  * Michael(tm) Smith: titlepage.xsl

    Removed all "Do not edit this file" admonitions that get output in
    generated stylesheets; such admonitions have in the past been
    judged by the free-software police to be at-risk of
    interpretation as license restrictions.
    Also, made various updates to work around some funkiness is
    xsltproc output.

Extensions

The following changes have been made to the extensions code since the 1.72.0
release.

  * Michael(tm) Smith: Makefile; xalan2

    Turned off xalan2.jar build. This removes DocBook XSL
    Java extensions support for versions of Xalan prior to
    Xalan 2.7. If you are currently using the extensions
    with an earlier version of Xalan, you need to upgrade
    to Xalan 2.7.

  * Mauritz Jeanson: saxon65/src/com/nwalsh/saxon/FormatGraphicCallout.java

    Fixed bug #1640428: added 'url(...)' around the image path.

  * Mauritz Jeanson: xalan2/src/com/nwalsh/xalan/FormatGraphicCallout.java

    Fixed bug #1640428: added 'url(...)' around the image path.
    Fixed incorrect 'alt' attribute.

  * Mauritz Jeanson: xalan27/src/com/nwalsh/xalan/FormatGraphicCallout.java

    Fixed bug #1640428: added 'url(...)' around the image path.
    Fixed incorrect 'alt' attribute.

  * Michael(tm) Smith: xalan2/src/com/nwalsh/xalan/Table.java;
    xalan2/src/com/nwalsh/xalan/Ver

    Removed org.apache.xml.utils.DOMHelper imports from Table.java and
    Verbatim.Java files, per note from Mauritz Jeanson about them not
    being needed.

  * Michael(tm) Smith: xalan2/src/com/nwalsh/xalan/Table.java;
    xalan2/src/com/nwalsh/xalan/Ver

    Use org.apache.xml.utils.DOMHelper as package name (instead of
    org.apache.xpath.DOMHelper), because build otherwise fails.

XSL-Java

The following changes have been made to the xsl-java code since the 1.72.0
release.

  * Mauritz Jeanson: saxon65/src/com/nwalsh/saxon/Verbatim.java

    Added test to avoid "Undefined variable: callout.icon.size" messages when generating HTML.

  * Mauritz Jeanson: xalan27/src/com/nwalsh/xalan/Verbatim.java;
    xalan27/src/com/nwalsh/xalan/

    Added modifications so that the new callout.icon.size parameter is taken into account. This
    parameter is used for FO output (where SVG now is the default graphics format for callouts).

  * Mauritz Jeanson: saxon65/src/com/nwalsh/saxon/FormatCallout.java;
    xalan27/src/com/nwalsh/x

    Added code for generating id attributes on callouts in HTML and FO output.
    These patches enable cross-references to callouts placed by area coordinates.
    It works for graphic, unicode and text callouts.
    Part of fix for bug #1675513 (xref to area broken).

  * Mauritz Jeanson: xalan27/src/com/nwalsh/xalan/Text.java

    Removed unnecessary import statements.
    Added patch (from Text.java in the defunct xalan2 directory) to the getEncoding() method.

  * Mauritz Jeanson: xalan27/src/com/nwalsh/xalan/Verbatim.java;
    xalan27/src/com/nwalsh/xalan/

    Cleaned up by removing several unnecessary import statements.

  * Michael(tm) Smith: saxon65/src/com/nwalsh/saxon/Website.java;
    xalan27/src/com/nwalsh/xalan

    Copied over Website XSL Java extensions.

  * Michael(tm) Smith: COPYING; README; Makefile; BUGS; AUTHORS; TODO;
    VERSION; INSTALL

    Copied xsl/extensions up a level to create a top-level
    xsl-java module. Rationale is that we need to do a
    separate docbook-xsl-java release in order to get the
    XSL Java extensions packaged for Debian, and having it
    as a top-level module allows the release build and
    packaging to be done using the common build files in
    releasetools/ and so makes it a lot easier to set up
    and maintain the build and do the packaging and upload, etc.
    After OK, would be best to next remove the
    xsl/extensions directory from version control and
    instead update the docbook-xsl build to simply copy
    over the built jars from the xsl-java dir.

XSL-Saxon

The following changes have been made to the xsl-saxon code since the 1.72.0
release.

  * Michael(tm) Smith: VERSION

    Switched to 1.00 numbering (instead of 1.0)

  * Michael(tm) Smith: nbproject/project.properties; .cvsignore

    Make sure classes dir gets built where it should and gets
    packaged.

  * Michael(tm) Smith: .announcement-text; .cvsignore; Makefile

    Made further preparations for release of Saxon and Xalan
    extensions as standalone packages.

  * Michael(tm) Smith: VERSION

    Updated xsl-saxon and xsl-xalan VERSION files/stylesheets with
    hooks for outputting the distro title.

  * Michael(tm) Smith: src/com/nwalsh/saxon/Windows1252.java

    Minor comment/whitespace change.

  * Michael(tm) Smith: VERSION

    Set release numbers correctly.

  * Michael(tm) Smith: AUTHORS; VERSION; INSTALL; COPYING; Makefile; README;
    build.xml; BUGS

    Set keywords on various files.

  * Michael(tm) Smith: nbproject/build-impl.xml; AUTHORS; VERSION; INSTALL;
    nbproject/project.

    Prepared xsl-saxon module for standalone release.

XSL-Xalan

The following changes have been made to the xsl-xalan code since the 1.72.0
release.

  * Michael(tm) Smith: VERSION

    Switched to 1.00 numbering (instead of just 1.0)

  * Michael(tm) Smith: nbproject/project.properties; .cvsignore

    Make sure classes dir gets built where it should and gets
    packaged.

  * Michael(tm) Smith: .announcement-text; .cvsignore; Makefile

    Made further preparations for release of Saxon and Xalan
    extensions as standalone packages.

  * Michael(tm) Smith: VERSION

    Updated xsl-saxon and xsl-xalan VERSION files/stylesheets with
    hooks for outputting the distro title.

  * Michael(tm) Smith: src/com/nwalsh/xalan/Website.java

    Minor change to comment.

  * Michael(tm) Smith: INSTALL; nbproject/project.properties; COPYING;
    .cvsignore; Makefile; R

    Prepared xsl-xalan module for standalone release.


